Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059557 - [GSS] (6.4.x) JBossWeb disableUploadTimeout and connectionUploadTimeout are not configurable in EAP 6
Summary: [GSS] (6.4.x) JBossWeb disableUploadTimeout and connectionUploadTimeout are n...
Keywords:
Status: NEW
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: EAP 6.4.0
Assignee: Rémy Maucherat
QA Contact: Peter Mackay
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 07:45 UTC by Masafumi Miura
Modified: 2018-12-06 15:47 UTC (History)
1 user (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)
jbossweb-upload-timeout.patch / potential patch (deleted)
2014-01-30 07:49 UTC, Masafumi Miura
mmiura: review?
Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1059511 None VERIFIED [GSS] (6.4.x) keepAliveTimeout (org.apache.coyote.http11.DEFAULT_KEEP_ALIVE_TIMEOUT) setting does not take effect 2019-04-11 05:46:09 UTC

Internal Links: 1059511

Description Masafumi Miura 2014-01-30 07:45:41 UTC
### Description of problem:

disableUploadTimeout and connectionUploadTimeout are not configurable in EAP 6.

Please add a way to change these settings. (For example, via system property like connectionTimeout.) 


### Version-Release number of selected component (if applicable):

JBossWeb 7.x

Comment 1 Masafumi Miura 2014-01-30 07:49:41 UTC
Created attachment 857368 [details]
jbossweb-upload-timeout.patch / potential patch

I attached a potential patch (jbossweb-upload-timeout.patch). 

I added two new system properties:
 - "org.apache.coyote.http11.DEFAULT_DISABLE_UPLOAD_TIMEOUT" for disableUploadTimeout
 - "org.apache.coyote.http11.DEFAULT_CONNECTION_UPLOAD_TIMEOUT" for connectionUploadTimeout

Comment 2 Rémy Maucherat 2014-06-12 11:49:51 UTC
The patch does not look very good actually. This will have to be pushed back to the next release [6.4] to adjust things, in particular in the NIO2 connector.


Note You need to log in before you can comment on or make changes to this bug.